package com.bonus.canteen.core.customer.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class CustOrgAdjustPageDTO {
   @ApiModelProperty("分页对象")
   private PageDTO page;
   @ApiModelProperty("开始调整日期")
   private LocalDate adjustDateStart;
   @ApiModelProperty("结束调整日期")
   private LocalDate adjustDateEnd;
   @ApiModelProperty("人员关键词（编号、姓名、手机号）")
   private String customerKeyword;
   @ApiModelProperty("人员类别集合")
   private List<Integer> psnTypeList;
   @ApiModelProperty("状态集合（1成功,2失败,3待执行）")
   private List<Integer> stateList;
   @ApiModelProperty("更新人")
   private String upby;

   public PageDTO getPage() {
      return this.page;
   }

   public LocalDate getAdjustDateStart() {
      return this.adjustDateStart;
   }

   public LocalDate getAdjustDateEnd() {
      return this.adjustDateEnd;
   }

   public String getCustomerKeyword() {
      return this.customerKeyword;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public List<Integer> getStateList() {
      return this.stateList;
   }

   public String getUpby() {
      return this.upby;
   }

   public void setPage(final PageDTO page) {
      this.page = page;
   }

   public void setAdjustDateStart(final LocalDate adjustDateStart) {
      this.adjustDateStart = adjustDateStart;
   }

   public void setAdjustDateEnd(final LocalDate adjustDateEnd) {
      this.adjustDateEnd = adjustDateEnd;
   }

   public void setCustomerKeyword(final String customerKeyword) {
      this.customerKeyword = customerKeyword;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setStateList(final List<Integer> stateList) {
      this.stateList = stateList;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }



}
